
<html lang="fr">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="style.css" />
        <link rel="stylesheet" href="../node_modules/@fortawesome/fontawesome-free/css/all.min.css" />
        <script href="../node_modules/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    </head>
    <body>
      <header class="container-fluid p-4 h-50">
            <div class="row h-100 flex-column justify-content-center align-items-center text-center position-relative">
              <div class="col-2 position-absolute top-0 start-0">
                <img
                  alt="brand-logo"
                  src="assets/media/logo.png"
                />
                <img alt="brand-logo-ellipses" src="assets/media/ellipses_icon.png"/>
              </div>
              <div class="col-6">
                <div class="text-uppercase text-warning font-family-secondary fs-1 mb-3">
                  Cherchez parmi plus de 1500 recettes </br> du quotidien, simples et déclieuses
                </div>
              </div>
              <div class="col-6">
                <div class="input-group position-relative">
                    <input
                      id="searchBar"
                      class="form-control bg-light rounded p-3"
                      placeholder="Rechercher une recette, un ingrédient..."
                      type="text"
                    >
                    <button id="searchButton" class="position-absolute rounded end-0 border-dark top-0 bottom-0 m-2">
                      <img
                        alt="search-icon"
                        class="py-1"
                        src="assets/media/search_icon.png"
                      />
                    </button>
                </div>
              </div>
            </div>
      </header>
      <main class="container-fluid my-3">
        <div id="filters" class="container position-relative">
          <div id="dropdownsRow" class="row w-100">
          </div>
          <div id="recipeCount"class="font-family-secondary fs-4 position-absolute top-0 end-0 mt-3 me-2"></div>
          </div>
        <div class="container">
          <div id="filterTagsRow" class="row my-3 w-100">
          </div>
        </div>
        <div class="container mt-3">
          <div id="recipeCards" class="row">
          </div>
        </div>
      </main>
    </body>
    <script src="./assets/js/recipes.js" type="module"></script>
    <script src="./assets/js/searchData.js" type="module"></script>
    <script src="./assets/js/components/recipeCards.js" type="module"></script>
    <script src="./assets/js/components/searchCategoriesDropdowns.js" type="module"></script>
    <script src="./assets/js/components/filterTags.js" type="module"></script>
    <script src="./assets/js/components/recipeCount.js" type="module"></script>
    <script src="./assets/js/events.js" type="module"></script>
</html>
